# Record TCefPreferenceManager

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPreferenceManager = record`

## Description

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPreferenceManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `has_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;`
| `get_preference: function(self: PCefPreferenceManager; const name: PCefString): PCefValue; stdcall;`
| `get_all_preferences: function(self: PCefPreferenceManager; include_defaults: Integer): PCefDictionaryValue; stdcall;`
| `can_set_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;`
| `set_preference: function(self: PCefPreferenceManager; const name: PCefString; value: PCefValue; error: PCefString): Integer; stdcall;`
| `add_preference_observer: function(self: PCefPreferenceManager; const name: PCefString; observer: PCefPreferenceObserver): PCefRegistration; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `has_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;`
This item has no description.

| `get_preference: function(self: PCefPreferenceManager; const name: PCefString): PCefValue; stdcall;`
This item has no description.

| `get_all_preferences: function(self: PCefPreferenceManager; include_defaults: Integer): PCefDictionaryValue; stdcall;`
This item has no description.

| `can_set_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;`
This item has no description.

| `set_preference: function(self: PCefPreferenceManager; const name: PCefString; value: PCefValue; error: PCefString): Integer; stdcall;`
This item has no description.

| `add_preference_observer: function(self: PCefPreferenceManager; const name: PCefString; observer: PCefPreferenceObserver): PCefRegistration; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.